Summary:	fish - A friendly interactive shell
Summary(pl.UTF-8):	fish - przyjazna interaktywna powłoka
Name:		fish
Version:	2.1.1
Release:	1
License:	GPL v2
Group:		Applications/Shells
Source0:	http://fishshell.com/files/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0251e6e5f25d1f326e071425ea1dee22
URL:		http://fishshell.com/
BuildRequires:	autoconf >= 2.60
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
Suggests:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fish is a shell geared towards interactive use. Its features are
focused on user friendlieness and discoverability. The language syntax
is simple but incompatible with other shell languages.

%description -l pl.UTF-8
fish jest powłoką nastawioną na interaktywne używanie. Jego cechą jest
przyjazne nastawienie dla użytkownika. Składnia języka jest prosta ale
nie jest zgodna z innymi językami powłoki.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/shells ]; then
        echo "%{_bindir}/fish" >> /etc/shells
else
        grep -q '^%{_bindir}/fish$' /etc/shells || echo "%{_bindir}/fish" >> /etc/shells
fi

%preun
if [ "$1" = "0" ]; then
        umask 022
        grep -v '^%{_bindir}/fish$' /etc/shells > /etc/shells.new
        mv -f /etc/shells.new /etc/shells
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG README.md user_doc/html/*.{html,css,png}
%attr(755,root,root) %{_bindir}/fish*
%attr(755,root,root) %{_bindir}/mimedb
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/config.fish
%dir %{_datadir}/%{name}/completions
%{_datadir}/%{name}/completions/*.fish
%dir %{_datadir}/%{name}/functions
%{_datadir}/%{name}/functions/*.fish
%{_datadir}/%{name}/man
%dir %{_datadir}/%{name}/tools
%attr(755,root,root) %{_datadir}/%{name}/tools/create_manpage_completions.py
%{_datadir}/%{name}/tools/deroff.py
%dir %{_datadir}/%{name}/tools/web_config
%{_datadir}/%{name}/tools/web_config/delete.png
%{_datadir}/%{name}/tools/web_config/index.html
%{_datadir}/%{name}/tools/web_config/jquery.js
%{_datadir}/%{name}/tools/web_config/sample_prompts
%attr(755,root,root) %{_datadir}/%{name}/tools/web_config/webconfig.py
%dir %{_sysconfdir}/fish
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/fish/config.fish
%{_mandir}/man1/fish*.1*
%{_mandir}/man1/mimedb.1*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fish.git;a=log;h=master

* Sun Oct 12 2014 Jan Palus <atler@pld-linux.org> a41112b
- more verbose %{_datadir}/%{name} files
- +x for python tools
- suggest python
- bump required autoconf version

* Sun Oct 12 2014 Jan Palus <atler@pld-linux.org> 83b8611
- up to 2.1.1
- drop old patches
- add fish to /etc/shells

* Mon Mar 12 2012 Jan Rękorajski <baggins@pld-linux.org> bf4a174
- rel 3
- whatis now in main man-db package

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f002bc
- release 2

* Sun Jun 12 2011 Krzysztof Krakowiak <evil@pld-linux.org> f0ed580
- up to 1.23.1
- s/fishshell.org/fishshell.com/g (I know its ibsolete, but current fishshell.org content is "It works!")
- rework html docs installation (dunno how clean it is, but previous rel caused bad path in fish executable (so 'help' command didnt worked)
- updated fish-link.patch and removed fish-ac.patch(now upstream)

* Sun Aug 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 7c21e62
- new

* Sun Aug 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 3feb781
- -ac.patch and -includes.patch -- buildfixes

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 8091d49
- use external xsel (Suggests; needed only for X clipboard integration)
- fish_inputrc no longer exists, replaced by internal readline handling
- GPL v2 (only)

* Sat Feb 09 2008 Jakub Bogusz <qboosh@pld-linux.org> f26c7ae
- pass -I in CPPFLAGS to avoid configure "rejected by preprocessor" warnings

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 0703cc9
- removed junk

* Thu Jan 17 2008 aredridel <aredridel@pld-linux.org> df37d9c
- 1.23.0

* Thu Jan 17 2008 aredridel <aredridel@pld-linux.org> 6cbfd83
- up for 1.23.0

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 9395f37
- added link patch instead of LIBS hack
- fixed docs location (no junk in top-level /usr/share/doc)

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 0fcaadc
- check for libtinfo

* Wed Aug 22 2007 aredridel <aredridel@pld-linux.org> 09f04fb
- BR: autoconf, gettext-devel, xorg-lib-libXt-devel
- R: man-whatis
- Correct doc building
- autoconf, autoheader

* Thu May 31 2007 aredridel <aredridel@pld-linux.org> b856882
- 1.22.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 40ac1bd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 73b83bf
- converted to UTF-8

* Mon Nov 27 2006 Elan Ruusamäe <glen@pld-linux.org> eb1016c
- unify

* Mon Nov 27 2006 japhy <japhy@pld-linux.org> 6095480
- Up to 1.22.1
- Fix --as-needed

